Create a thread
curl --request POST \
--url https://api.dualmindlab.tech/api/threads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "TCP vs UDP",
"mode": "battle"
}
'import requests
url = "https://api.dualmindlab.tech/api/threads"
payload = {
"title": "TCP vs UDP",
"mode": "battle"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'TCP vs UDP', mode: 'battle'})
};
fetch('https://api.dualmindlab.tech/api/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'TCP vs UDP', mode: 'battle'})
};
fetch('https://api.dualmindlab.tech/api/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dualmindlab.tech/api/threads"
payload := strings.NewReader("{\n \"title\": \"TCP vs UDP\",\n \"mode\": \"battle\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.dualmindlab.tech/api/threads");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"title\": \"TCP vs UDP\",\n \"mode\": \"battle\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.dualmindlab.tech/api/threads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"TCP vs UDP\",\n \"mode\": \"battle\"\n}")
.asString();{
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"mode": "battle",
"visibility": "private",
"messageCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Threads
Create a thread
Create an empty thread. New threads are private.
POST
/
api
/
threads
Create a thread
curl --request POST \
--url https://api.dualmindlab.tech/api/threads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "TCP vs UDP",
"mode": "battle"
}
'import requests
url = "https://api.dualmindlab.tech/api/threads"
payload = {
"title": "TCP vs UDP",
"mode": "battle"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'TCP vs UDP', mode: 'battle'})
};
fetch('https://api.dualmindlab.tech/api/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'TCP vs UDP', mode: 'battle'})
};
fetch('https://api.dualmindlab.tech/api/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dualmindlab.tech/api/threads"
payload := strings.NewReader("{\n \"title\": \"TCP vs UDP\",\n \"mode\": \"battle\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.dualmindlab.tech/api/threads");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"title\": \"TCP vs UDP\",\n \"mode\": \"battle\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.dualmindlab.tech/api/threads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"TCP vs UDP\",\n \"mode\": \"battle\"\n}")
.asString();{
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"mode": "battle",
"visibility": "private",
"messageCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Then pass the
threadId to Start a battle or Chat to save turns to it.Authorizations
The access token from your DualMind Arena session (a Supabase JWT). See Authentication.
Body
application/json
Response
The new thread.
battle = blind Battle, arena = Side by Side, direct = Direct Chat.
Available options:
battle, arena, direct Available options:
private, unlisted, public Last modified on October 18, 2026
⌘I